
// Fosc = 12MHz
// CCLK = 60MHz
// PCLK = CCLK/4 = 15MHz

 #include <LPC21xx.H> 

__irq void T0isr(void);

unsigned long i=0;	// Dummy Count Variable for SuperLoop

int main(void)
{
IODIR0 = 0XFFFFFFFF;

T0MR0 = 7500000L;	  // Set Timer Duration to .5 Seconds (500ms)  TimerDuration * PCLK = .5 * 15MHz = 7500000
T0PR = 0;			  // Set Timer Prescaler to None
T0MCR = 3;			  // Interrupt and Reset on Counts	
T0TCR = 1;			  // Timer0 Enabled
	


VICVectAddr4 = (unsigned long)T0isr;	// Set Timer ISR Vector Address
VICVectCntl4 = 0x00000024;				//Assign Interrupt Vector to Timer0
VICIntEnable = 0x00000010;				//Enable Timer0 Interrupt

while(1){i++;};  // SuperLoop to Keep Execution in main()

}

__irq void T0isr(void)		  // Timer0 ISR
{

 	IO0PIN ^= 0x00000001;  	 // Toggle P0.0 Output

  	T0IR = 1;				 // Clear Interrupt Flag
	VICVectAddr = 0;		 // Acknowledge Interrupt
 }

